Bug 91247 - Update to port mcweject
Summary: Update to port mcweject
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-03 00:40 UTC by Jason Bacon
Modified: 2006-01-04 06:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Bacon 2006-01-03 00:40:05 UTC
My original dist file mistakenly contained object files and a gzipped man page.
(I simply forgot to make clean before rolling the tarball.)
Someone on your end enhanced the port Makefile to remove these post-extract
as a workaround.  I've since cleaned up the dist file, and updated the port 
Makefile and distinfo.  Here's the new tree:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	mcweject
#	mcweject/files
#	mcweject/files/pkg-message.in
#	mcweject/Makefile
#	mcweject/distinfo
#	mcweject/.Makefile.bak
#	mcweject/pkg-descr
#
echo c - mcweject
mkdir -p mcweject > /dev/null 2>&1
echo c - mcweject/files
mkdir -p mcweject/files > /dev/null 2>&1
echo x - mcweject/files/pkg-message.in
sed 's/^X//' >mcweject/files/pkg-message.in << 'END-of-mcweject/files/pkg-message.in'
X===================================================================
XThe file eject.allow has been installed in %%PREFIX%%/share/examples/.
X
XCopy this file to %%PREFIX%%/etc/eject.allow, and edit to reflect
Xthe devices you wish to be ejectable.
X===================================================================
END-of-mcweject/files/pkg-message.in
echo x - mcweject/Makefile
sed 's/^X//' >mcweject/Makefile << 'END-of-mcweject/Makefile'
X# New ports collection Makefile for:   mcweject
X# Date created:        11 Jan 2005
X# Whom:                jbacon@mcw.edu
X#
X# $FreeBSD: ports/sysutils/mcweject/Makefile,v 1.1 2005/12/21 04:40:49 edwin Exp $
X#
X
XPORTNAME=       mcweject
XPORTVERSION=    0.9
XCATEGORIES=     sysutils
XMASTER_SITES=   http://www.neuro.mcw.edu/~bacon/Ports/distfiles/
X
XMAINTAINER=     jbacon@mcw.edu
XCOMMENT=        Removable media eject
X
XMAN1=           eject.1
XMANCOMPRESSED=  yes
XSUB_FILES=      pkg-message
X
XCONFLICTS=      eject-[0-9]*
XPKGMESSAGE=     ${WRKDIR}/pkg-message
X
XPLIST_FILES=    sbin/eject share/examples/mcweject/eject.allow
XPLIST_DIRS=     share/examples/mcweject
X
Xdo-install:
X	${MKDIR} ${PREFIX}/share/examples/mcweject
X	${INSTALL_DATA} ${WRKSRC}/eject.allow.sample \
X		${PREFIX}/share/examples/mcweject/eject.allow
X	${INSTALL_PROGRAM} ${WRKSRC}/eject ${PREFIX}/sbin
X	${CHMOD} 4511 ${PREFIX}/sbin/eject
X	${INSTALL_DATA} ${WRKSRC}/eject.1 ${PREFIX}/man/man1
X	${GZIP_CMD} -best ${PREFIX}/man/man1/eject.1
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-mcweject/Makefile
echo x - mcweject/distinfo
sed 's/^X//' >mcweject/distinfo << 'END-of-mcweject/distinfo'
XMD5 (mcweject-0.9.tar.gz) = dd2ec20b8c9054faf238d2c35cc77e2c
XSIZE (mcweject-0.9.tar.gz) = 6037
END-of-mcweject/distinfo
echo x - mcweject/.Makefile.bak
sed 's/^X//' >mcweject/.Makefile.bak << 'END-of-mcweject/.Makefile.bak'
X# New ports collection Makefile for:   mcweject
X# Date created:        11 Jan 2005
X# Whom:                jbacon@mcw.edu
X#
X# $FreeBSD: ports/sysutils/mcweject/Makefile,v 1.1 2005/12/21 04:40:49 edwin Exp $
X#
X
XPORTNAME=       mcweject
XPORTVERSION=    0.9
XCATEGORIES=     sysutils
XMASTER_SITES=   http://www.neuro.mcw.edu/~bacon/Ports/distfiles/
X
XMAINTAINER=     jbacon@mcw.edu
XCOMMENT=        Removable media eject
X
XMAN1=           eject.1
XMANCOMPRESSED=  yes
XSUB_FILES=	pkg-message
X
XCONFLICTS=      eject-[0-9]*
XPKGMESSAGE=	${WRKDIR}/pkg-message
X
XPLIST_FILES=	sbin/eject share/examples/mcweject/eject.allow
XPLIST_DIRS=	share/examples/mcweject
X
Xpost-extract:
X.for f in eject eject.o eject.1.gz
X	${RM} ${WRKSRC}/${f}
X.endfor
X
Xdo-install:
X	${MKDIR} ${PREFIX}/share/examples/mcweject
X	${INSTALL_DATA} ${WRKSRC}/eject.allow.sample \
X		${PREFIX}/share/examples/mcweject/eject.allow
X	${INSTALL_PROGRAM} ${WRKSRC}/eject ${PREFIX}/sbin
X	${CHMOD} 4511 ${PREFIX}/sbin/eject
X	${INSTALL_DATA} ${WRKSRC}/eject.1 ${PREFIX}/man/man1
X	${GZIP_CMD} -best ${PREFIX}/man/man1/eject.1
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-mcweject/.Makefile.bak
echo x - mcweject/pkg-descr
sed 's/^X//' >mcweject/pkg-descr << 'END-of-mcweject/pkg-descr'
XThis is a port of eject, a command line utility for ejecting removable
Xmedia.
X
XWWW: http://www.neuro.mcw.edu/~bacon
X
X- Jason
Xjbacon@mcw.edu
END-of-mcweject/pkg-descr
exit
Comment 1 edwin 2006-01-03 00:43:09 UTC
On Mon, Jan 02, 2006 at 06:37:29PM -0600, Jason Bacon wrote:
> # This is a shell archive.  Save it in a file, remove anything before
> # this line, and then unpack it by entering "sh file".  Note, it may

Please send updates in "diff -ru" format.

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 2 Edwin Groothuis freebsd_committer 2006-01-03 00:43:11 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer)
Comment 3 Edwin Groothuis freebsd_committer 2006-01-03 00:43:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 4 Jason Bacon 2006-01-03 04:49:30 UTC
It's my own patch.  I approve...  :-)

On Monday 02 January 2006 18:41, Edwin Groothuis wrote:
> Maintainer of sysutils/mcweject,
>
> Please note that PR ports/91247 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/91247

-- 
Jason W. Bacon
Systems Manager, fMRI Research Labs
Medical College of Wisconsin
8701 Watertown Plank Rd
Room MFRC 4037
Milwaukee, WI 53226
(414) 456-5881
(414) 456-6562 FAX
Comment 5 Edwin Groothuis freebsd_committer 2006-01-03 05:03:13 UTC
State Changed
From-To: feedback->open

Submitter is maintainer (please use correct email address next time 
to speed up the process) 


Comment 6 Edwin Groothuis freebsd_committer 2006-01-03 05:03:13 UTC
Class Changed
From-To: change-request->maintainer-update

Submitter is maintainer (please use correct email address next time 
to speed up the process)
Comment 7 Edwin Groothuis freebsd_committer 2006-01-04 06:23:45 UTC
State Changed
From-To: open->closed

Committed, thanks!